<?php
$db = new PDO('mysql:dbname=midgard;host=localhost', 'root', '', array(PDO::ATTR_ERRMODE => PDO::ERRMODE_EXCEPTION));

$q = $db->prepare('SELECT `id`,`code` FROM `org_openpsa_products_product`');
try {
    $q->execute();
} catch (PDOException $e) {
    die($e);
}
$products = array();
foreach ($q->fetchAll(PDO::FETCH_NUM) as $row) {
    $products[$row[0]] = $row[1];
}

$q = $db->prepare('SELECT `product`, `rating` FROM `ratings` WHERE `rdate` = (SELECT MAX(`rdate`) FROM `ratings`) ORDER BY `rating` DESC');
$q2 = $db->prepare('SELECT rating FROM ratings WHERE product = :product ORDER BY rdate ASC');

$data = array();

$q->execute();

foreach ($q->fetchAll(PDO::FETCH_OBJ) as $row) {
    $q2->execute(array(':product' => $row->product));

    $data[$row->product] = array(
        'name' => $products[$row->product],
        'rating' => $row->rating,
        'ofc' => array(
            'y_axis' => array(
                'steps' => 1000,
                'max' => 110,
                'min' => 75,
            ),
            'title' => array('text' => 'Product Stats'),
            'elements' => array(
                array(
                    'type' => 'line',
                    'values' => array_map('floatval', $q2->fetchAll(PDO::FETCH_COLUMN))
                ),
            ),
        ),
    );
}

$select = '<select id="select" onChange="selectChanged();" size="30">';
$first = true;
foreach ($data as $id => $_data) {
    $select .= '<option value="'.$id.'"';
    if (true === $first) {
        $select .= ' selected';
        $first = false;
    }
    $select .= '>'.$_data['name'].' ('.$_data['rating'].')</option>'."\n";
}
$select .= '</select>';

include('index2.tpl');